MVP.Data.VCF2MVP {rMVP} | R Documentation

## MVP.Data.VCF2MVP: To transform vcf data to MVP package Author: Haohao Zhang Build date: Sep 12, 2018

### Description

Accept the | or / separated markers, any variant sites that are not 0 or 1 will be considered NA.

### Usage

    MVP.Data.VCF2MVP(vcf_file, out = "mvp", maxLine = 10000,
      type.geno = "char", threads = 1, verbose = TRUE)

### Arguments

`vcf_file` | Genotype in VCF format
`out` | the name of output file
`maxLine` | the max number of line to write to big matrix for each loop
`type.geno` | the type of genotype elements
`threads` | number of thread for transforming
`verbose` | whether to print the reminder

### Value

number of individuals and markers. Output files: genotype.desc, genotype.bin: genotype file in bigmemory format phenotype.phe: ordered phenotype file, same taxa order with genotype file map.map: SNP information

### Examples

    vcfPath <- system.file("extdata", "01_vcf", "mvp.vcf", package = "rMVP")

    MVP.Data.VCF2MVP(vcfPath, file.path(tempdir(), "rMVP.test"))

[Package rMVP version 0.99.15 Index]